---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug
assignees: ''

---

### Describe the bug
A clear and concise description of what the bug is.

### To Reproduce
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

### Expected behavior
A clear and concise description of what you expected to happen.

### Screenshots
If applicable, add screenshots to help explain your problem.

### System:

- Nheko version: <!-- Get the version from the settings menu (bottom left corner)  -->
- Profile used: <!-- If you are not using the default profile, mention it here -->
- Installation method: <!-- AppImage, some repository, local build etc -->
- Operating System:
- Qt version: <!-- If you compiled it yourself -->
- C++ compiler: <!-- if you compiled it yourself -->
- Desktop Environment: <!-- for Linux -->

### Logs
<!-- If applicable -->

<!-- The log file is located in
    Linux: ~/.cache/nheko/
    macOS: ~/Library/Caches/nheko or /Library/Caches/nheko
    Windows: C:/Users/<USER>/AppData/Local/nheko/cache
-->

### Debugger backtrace
<!-- 
If the program crashed send a backtrace:

You can retrieve a backtrace by building nheko with -DCMAKE_BUILD_TYPE=Debug
and running it through gdb or lldb.

gdb ./build/nheko

>> run

... Make the program crash

>> bt

... Paste a link of the output below (Use a pastebin, don't paste directly in the github issue).
-->
